# Update a content item

Updates a content item with a specific ID, locale, and version. You can, for example, add or modify content, delete existing content, or change properties associated with the content (such as taxonomy terms). {% admonition type="info" name="Note" %} The Update method replaces the existing content item with the request body. It does not merge content. Therefore, your request must include the new version of the content, including both updates and any data you want to retain. Anything not included in your request will be lost. {% /admonition %}

Endpoint: PUT /api/v2/cm/branches/{branchId}/content-items/{contentItemId}
Version: v2.0
Security: OAuth2.0

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example prod.

  - `contentItemId` (string, required)
    The ID of the content item, for example  8cwa-M3RYUSfdCSeP_YuSQ.

## Header parameters:

  - `x-cs-revisionId` (string)
    The hash version of the content item, for example  1IcUUQq73YFLLyzQkWt71D.

## Query parameters:

  - `locale` (string)
    The IETF language tag, for example, en-US.

  - `version` (integer)
    The content item version, for example 1 .

## Request fields (application/json-patch+json):

  - `fields` (object,null)

  - `name` (string,null)

  - `label` (string,null)

  - `versionTags` (array,null)

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 500 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 204 fields

## Response 401 fields

## Response 403 fields

## Response 404 fields
